# Interface ModuleDependencySpec

All Superinterfaces:
  `DependencySpec`

@Incubating public interface ModuleDependencySpec extends DependencySpec
A dependency onto a module.

## Method Summary

Modifier and Type
Method
Description
`String`
`getGroup()`
The group of the module this dependency specification refers to.
`String`
`getName()`
The name of the module this dependency specification refers to.
`String`
`getVersion()`
The version range of the module this dependency specification refers to.

### Methods inherited from interface DependencySpec

`getDisplayName`

## Method Details

### getGroup

String getGroup()
The group of the module this dependency specification refers to.

Returns:
  the module group name

### getName

String getName()
The name of the module this dependency specification refers to.

Returns:
  the module name

### getVersion

@Nullable String getVersion()
The version range of the module this dependency specification refers to.

Returns:
  the module version range